function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import * as types from './types';
export default function reducer(state, action) {
  if (state === void 0) {
    state = {};
  }

  var type = action.type,
      payload = action.payload;

  switch (type) {
    case types.SET_MINI_MODE:
      return _extends(_extends({}, state), {}, {
        miniMode: payload
      });

    case types.SET_MENU_OPEN:
      return _extends(_extends({}, state), {}, {
        menuOpen: payload
      });

    case types.SET_MOBILE_MENU_OPEN:
      return _extends(_extends({}, state), {}, {
        mobileMenuOpen: payload
      });

    case types.SET_MINI_SWITCH_VISIBILITY:
      return _extends(_extends({}, state), {}, {
        miniSwitchVisibility: payload
      });

    default:
      return state;
  }
}