"use strict";

exports.__esModule = true;
exports.setMiniSwitchVisibility = exports.setMenuOpen = exports.setMiniMode = exports.reducer = void 0;

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var SET_MINI_MODE = 'SET_MINI_MODE';
var SET_MENU_OPEN = 'SET_MENU_OPEN';
var SET_MINI_SWITCH_VISIBILITY = 'SET_MINI_SWITCH_VISIBILITY';

var setMiniMode = function setMiniMode(dispatch, payload) {
  return dispatch({
    type: SET_MINI_MODE,
    payload
  });
};

exports.setMiniMode = setMiniMode;

var setMenuOpen = function setMenuOpen(dispatch, payload) {
  return dispatch({
    type: SET_MENU_OPEN,
    payload
  });
};

exports.setMenuOpen = setMenuOpen;

var setMiniSwitchVisibility = function setMiniSwitchVisibility(dispatch, payload) {
  return dispatch({
    type: SET_MINI_SWITCH_VISIBILITY,
    payload
  });
};
/*     const initializeState = {
    miniMode: useMediaQuery('(min-width:600px)'),
    menuOpen: true,
    setMiniSwitchVisibility: useMini
  } */


exports.setMiniSwitchVisibility = setMiniSwitchVisibility;

var reducer = function reducer(state, action) {
  var type = action.type,
      payload = action.payload;

  switch (type) {
    case SET_MINI_MODE:
      return _extends(_extends({}, state), {}, {
        miniMode: payload
      });

    case SET_MENU_OPEN:
      return _extends(_extends({}, state), {}, {
        menuOpen: payload
      });

    case SET_MINI_SWITCH_VISIBILITY:
      return _extends(_extends({}, state), {}, {
        miniSwitchVisibility: payload
      });

    default:
      return state;
  }
};

exports.reducer = reducer;